package db

import (
	"database/sql"
	"log"

	// Required to connect to database.
	_ "github.com/mattn/go-sqlite3"
)

var db *sql.DB

func OpenDatabase(fileLocation string) {
	var err error
	db, err = sql.Open("sqlite3", fileLocation)
	if err != nil {
		log.Fatalf("could not open database: %v", err)
	}

	// Initializes the table.
	_, err = db.Exec(`CREATE TABLE IF NOT EXISTS badge (
		namespace VARCHAR(64) NOT NULL,
		project_name VARCHAR(64) NOT NULL,
		coverage INTEGER NOT NULL,
		html TEXT NOT NULL,

		branch VARCHAR(64),
		pull INTEGER
	)`)
	if err != nil {
		log.Fatalf("Could not create table: %v", err)
	}
}
